Prerequisites

  1. You must create a user first on our site and buy one of our Pioneer kits.

  2. Yo should set up your ~/.netrc file. If you don’t have it, create it now.

    • Copy the credentials from the developer page. You can find it under Dashboard / Select your application / Click credentials submenu.
machine wearnotch.com
    login {yourLoginCredentials}
    password {yourPassword}
Credentials

CocoaPods

For WearnotchSDK, use the following entry in your Podfile:

pod 'WearnotchSDK', :podspec => "https://s3.amazonaws.com/wearnotch-media/public/iOS-Releases/1.8.1.json"

Then use this command in the project directory:

pod install

If you have any problem with the locked Alamofire version, simply remove that line from the Podfile.lock and execute the install again.

Use the generated .xcworkspace from now on.

In any file you’d like to use WearnotchSDK in, don’t forget to import the framework with import WearnotchSDK.

Permissions

Do not forget to specify the following Bluetooth privacy options in your application info.plist file:

  1. <key>NSBluetoothPeripheralUsageDescription</key> <string>$(PRODUCT_NAME) needs bluetooth access Notches via bluetooth.</string>

  2. <key>NSBluetoothAlwaysUsageDescription</key> <string>$(PRODUCT_NAME) needs bluetooth access Notches via bluetooth.</string>